Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Retrieve a webhook

GET/webhooks/{id}
Autorisierung
AuthorizationBearer-Token · headererforderlich

A BillionSend API key (bs_…).

Pfadparameter
idstring<uuid>erforderlich
Antworten
200

Webhook, including its signing secret

idstring<uuid>erforderlich
endpointstringerforderlich
created_atstringerforderlich
statusstringerforderlich
Erlaubt:enableddisabled
eventsstring[] | nullerforderlich
inbox_idsstring[] | nullerforderlich

BillionSend extension: inbox events and email.received reach this endpoint only for these inboxes of the team (at most 100). null means every inbox.

objectstringerforderlich
Erlaubt:webhook
signing_secretstring

Not returned to a team member's MCP call; the dashboard shows members only its last 4 characters

previous_secret_expires_atstring | nullerforderlich

While set, deliveries are also signed with the secret this one replaced (a rotation's overlap window)

401

Missing, malformed, unknown or revoked API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
404

Not found

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://api.billionsend.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Antwort
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "endpoint": "string",
  "created_at": "string",
  "status": "enabled",
  "events": [
    "string"
  ],
  "inbox_ids": [
    "string"
  ],
  "object": "webhook",
  "signing_secret": "string",
  "previous_secret_expires_at": "string"
}

War diese Seite hilfreich?